#
# spec file for package kfilemetadata5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without ffmpeg
%bcond_without lang
%define _tar_path 5.35
Name:           kfilemetadata5
Version:        5.35.0
Release:        0
%define kf5_version %{version}
Summary:        Extract Metadata
License:        GPL-2.0+ and LGPL-2.1+ and LGPL-3.0
Group:          Development/Libraries/KDE
Url:            http://www.kde.org/
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/kfilemetadata-%{version}.tar.xz
Source1:        baselibs.conf
Patch0:         ffmpeg-buildrequires.patch
BuildRequires:  extra-cmake-modules >= %{_tar_path}
%if %{with ffmpeg}
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
%endif
BuildRequires:  karchive-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  libattr-devel
BuildRequires:  libepub-devel
BuildRequires:  libexiv2-devel >= 0.21
BuildRequires:  taglib-devel >= 1.9
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRequires:  cmake(Qt5Xml) >= 5.6.0
BuildRequires:  pkgconfig(poppler-qt5)
Recommends:     catdoc
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for extracting file metadata.

%package devel
Summary:        Development package for kfilemetadata
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules >= %{_tar_path}
Requires:       cmake(Qt5Core) >= 5.6.0

%description devel
A library for extracting file metadata. Development files

%lang_package
%prep
%setup -q -n kfilemetadata-%{version}
%patch0 -p1

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_plugindir}/
%{_kf5_libdir}/libKF5FileMetaData.so.*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5FileMetaData.so
%{_kf5_includedir}/KFileMetaData/
%{_kf5_libdir}/cmake/KF5FileMetaData/

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
